pub mod songmeta;
use crate::songmeta::songmeta::*;

pub mod playlist;
use crate::playlist::playlist::*;

fn main() {
    let mysong = SongMeta::frompath(&String::from("/home/justine/NAS/Musique/A_classer/Bleach/12 Big Cheese.mp3")).unwrap();
    let mysong2 = SongMeta::frompath(&String::from("/home/justine/NAS/Musique/Folk/Galaverna - Dodsdans/Galaverna - Dodsdans - 01 Dods....flac")).unwrap();

    //let playlist = Playlist::from_file(&String::from("./cool.yml"));

    let playlist = Playlist {
        songs: vec![mysong, mysong2],
    };

    assert_eq!(false, playlist.check_index(2));
    let playlist = Playlist::new();
    assert_eq!(false, playlist.check_index(0));
    assert_eq!(false, playlist.check_index(10));
}


